-- ss05.lua: Burning Down the House

MISSION_NAME = "ss05"

function ss05_start(checkpoint, is_restart)
	mission_end_success(MISSION_NAME)
end

function ss05_success()
	-- Called when the mission has ended with success

	-- Burn the houses (copied from mission_globals.lua)
	local CHUNK_SWAP_FIRES = { "Chunk_Fire_1", "Chunk_Fire_2", "Lab_Fire_1", "Lab_Fire_2", "Lab_Fire_3" }

	for index, name in pairs( CHUNK_SWAP_FIRES ) do
		chunk_swap_sequence_start( name, false )
		chunk_swap_sequence_make_permanent( name )
	end

	-- Post the news event
	radio_post_event("JANE_NEWS_SOS05", true)
end

function ss05_cleanup()
end
