-- tss04.lua: Three Kings

MISSION_NAME = "tss04"

function tss04_start(checkpoint, is_restart)
	mission_end_success(MISSION_NAME)
end

function tss04_cleanup()
end

function tss04_success()
	-- Called when the mission has ended with success

	-- Post the news event
	radio_post_event("JANE_NEWS_TSSP04", true)

	-- Unlock heli activities. Both instances include cutscenes w/ Shaundi and Pierce who
	-- aren't introduced until this mission. Most activities are unlocked after tss02.
	mission_unlock("heli_br")
	mission_unlock("heli_tp")
end
