-- tss02.lua: Appointed Defender

TRIGGER_MISSION_COMPLETE = "tss02_$finish"
MISSION_NAME = "tss02"

function tss02_start(checkpoint, is_restart)
	fade_out(0)
	teleport_coop(TRIGGER_MISSION_COMPLETE, TRIGGER_MISSION_COMPLETE)
	mission_end_success(MISSION_NAME)
end

function tss02_cleanup()
end

function tss02_success()
	-- Called when the mission has ended with success

	-- Unlock all activities and diversions except heli. Both heli instances
	-- have cutscenes w/ Shaundi and Pierce who are introduced in TSS04 so
	-- heli is unlocked after sccessfully completeing that mission.

	mission_unlock("crowd_ht")
	mission_unlock("crowd_su")
	mission_unlock("demoderby_un")
	mission_unlock("drug_ai")
	mission_unlock("drug_ht")
	mission_unlock("escort_rl")
	mission_unlock("escort_un")
	mission_unlock("fight_ar")
	mission_unlock("fight_pr")
	mission_unlock("fraud_fc")
	mission_unlock("fraud_mu")
	mission_unlock("fuzz_pj")
	mission_unlock("fuzz_sx")
	mission_unlock("mayhem_nu")
	mission_unlock("mayhem_st")
	mission_unlock("sewage_rl")
	mission_unlock("sewage_sx")
	mission_unlock("snatch_ct")
	mission_unlock("snatch_dt")
	mission_unlock("torch_ap")
	mission_unlock("torch_dt")
	mission_unlock("zombie")

	-- Unlock the crib purchasing
	crib_purchasing_unlock()
end
